# Uses of Interface
org.eclipse.jdt.launching.environments.IExecutionEnvironment

Packages that use IExecutionEnvironment
Package
Description
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.
org.eclipse.jdt.launching.environments
Application programming interfaces and classes for execution environments.

## Uses of IExecutionEnvironment in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching with parameters of type IExecutionEnvironment
Modifier and Type
Method
Description
`static org.eclipse.core.runtime.IPath`
JavaRuntime.`newJREContainerPath(IExecutionEnvironment environment)`
Returns a path for the JRE classpath container identifying the specified execution environment.

## Uses of IExecutionEnvironment in org.eclipse.jdt.launching.environments

Methods in org.eclipse.jdt.launching.environments that return IExecutionEnvironment
Modifier and Type
Method
Description
`IExecutionEnvironment`
CompatibleEnvironment.`getCompatibleEnvironment()`
Returns an environment compatible with the vm being analyzed.
`IExecutionEnvironment`
IExecutionEnvironmentsManager.`getEnvironment(String id)`
Returns the execution environment associated with the given identifier or `null` if none.
`IExecutionEnvironment[]`
IExecutionEnvironmentsManager.`getExecutionEnvironments()`
Returns all registered execution environments sorted by their id.
`IExecutionEnvironment[]`
IExecutionEnvironment.`getSubEnvironments()`
Returns a collection of execution environments that are subsets of this environment.
Methods in org.eclipse.jdt.launching.environments that return types with arguments of type IExecutionEnvironment
Modifier and Type
Method
Description
`SortedSet<IExecutionEnvironment>`
IExecutionEnvironmentsManager.`getSupportedExecutionEnvironments()`
Returns all execution environments supported by Java projects, sorted by their id.
Methods in org.eclipse.jdt.launching.environments with parameters of type IExecutionEnvironment
Modifier and Type
Method
Description
`IAccessRule[][]`
IAccessRuleParticipant.`getAccessRules(IExecutionEnvironment environment, IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries and execution environment in the context of the given project.
Constructors in org.eclipse.jdt.launching.environments with parameters of type IExecutionEnvironment
Modifier
Constructor
Description
``
`CompatibleEnvironment(IExecutionEnvironment environment, boolean strict)`
Constructs a new compatible environment result from an execution environment analysis.